> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poderp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Variants

> Returns all variants (SKUs) for a specific product. Use the `skuCode` from the response when creating orders.

Returns all variants (SKUs) for a specific product. Use the `skuCode` from the response in the `sku` field when creating orders.


## OpenAPI

````yaml GET /api/openapi/products/{spuCode}/variants
openapi: 3.1.0
info:
  title: Pod ERP OpenAPI
  description: Pod ERP Open API for order management
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://api.platform.poderp.com
security:
  - bearerAuth: []
paths:
  /api/openapi/products/{spuCode}/variants:
    get:
      summary: List Variants
      description: >-
        Returns all variants (SKUs) for a specific product. Use the `skuCode`
        from the response when creating orders.
      parameters:
        - name: spuCode
          in: path
          required: true
          description: The product SPU code
          schema:
            type: string
      responses:
        '200':
          description: List of variants for the product
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VariantResponse'
components:
  schemas:
    VariantResponse:
      type: object
      properties:
        skuCode:
          type: string
          description: SKU code — use this value in the `sku` field when creating orders
        size:
          type: string
          description: Variant size
        color:
          type: string
          description: Variant color
        weight:
          type: number
          description: Weight in kg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````